SDIFF(1)

NOM
sdiff - Fusionner morceau par morceau les différences entre les fichiers

SYNOPSIS
sdiff [option] ... fichier1 fichier2

DESCRIPTION
Fusionner les différences entre fichier1 et fichier2.

Les paramètres obligatoires aux options longues sont aussi obligatoires aux options courtes.

-o, --output=fichier
    Opérer interactivement, en redirigeant la sortie vers fichier.

-i, --ignore-case
    Ne pas tenir compte des différences entre majuscules et minuscules.

-E, --ignore-tab-expansion
    Ne pas tenir compte du développement des tabulations.

-Z, --ignore-trailing-space
    Ne pas tenir compte des espace en fin de ligne.

-b, --ignore-space-change
    Ne pas tenir compte du nombre d'espaces.

-W, --ignore-all-space
    Ne tenir compte d'aucun espace.

-B, --ignore-blank-lines
    Ne pas tenir compte des lignes vides.

-I, --ignore-matching-lines=er
    Ne pas tenir compte des changements sur les lignes qui correspondent à l'expression rationnelle er.

--strip-trailing-cr
    Ignorer les retours à la ligne sur l'entrée standard.

-a, --text
    Traiter tous les fichiers comme du texte.

-w, --width=n
    Afficher au plus n caractères par ligne (130 par défaut).

-l, --left-column
    N'afficher que la colonne de gauche des lignes communes.

-s, --suppress-common-lines
    Ne pas afficher les lignes communes.

-t, --expand-tabs
    Transformer les tabulations en espaces en sortie.

--tabsize=n
    Les tabulations s'arrêtent toutes les n (8 par défaut) colonnes.

-d, --minimal
    Essayer de trouver un ensemble de changements minimal.

-H, --speed-large-files
    Supposer que les fichiers sont de grande taille et contiennent de nombreux petits changements dispersés.

--diff-program=programme
    Utiliser programme pour comparer les fichiers.

--help
    Afficher l'aide et quitter.

-v, --version
    Afficher les informations de version et quitter.

Si un fichier vaut -, l'entrée standard est lue. Le code de retour vaut 0 si les entrées sont identiques, 1 si elles diffèrent, et 2 en cas de problème.

AUTEUR
Écrit par Thomas Lord.

SIGNALER LES BOGUES
Signalez toute anomalie à <bug-diffutils@gnu.org>.
Page d'accueil de GNU diffutils : <URL:http://www.gnu.org/software/diffutils/>.
Aide globale pour l'utilisation de logiciels GNU : <URL:http://www.gnu.org/gethelp/>

COPYRIGHT
Copyright © 2011 Free Software Foundation, Inc. Licence GPLv3+ : la licence GPL GNU version 3 ou ultérieure <URL:http://gnu.org/licenses/gpl.html>.
Ce programme est un logiciel libre. Vous pouvez le modifier et le redistribuer. Il n'y a AUCUNE GARANTIE dans la mesure autorisée par la loi.

VOIR AUSSI
cmp(1), diff(1), diff3(1)

La documentation complète de sdiff est disponible dans un manuel Texinfo. Si les programmes info et sdiff sont correctement installés, la commande

    info sdiff

devrait vous donner accès au manuel complet (en anglais).

TRADUCTION
Cette page de manuel a été traduite et est maintenue par Jade Alglave <jade DOT alglave AT ens-lyon DOT org> et les membres de la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.